  Function bytes2BSTR(vIn)
	strReturn = ""
	For ijkl = 1 To LenB(vIn)
		ThisCharCode = AscB(MidB(vIn,ijkl,1))
		If ThisCharCode < &H80 Then
			strReturn = strReturn & Chr(ThisCharCode)
		Else
			NextCharCode = AscB(MidB(vIn,ijkl+1,1))
			strReturn = strReturn & Chr(CLng(ThisCharCode) * &H100 + CInt(NextCharCode))
			ijkl = ijkl + 1
		End If
	Next
	bytes2BSTR = strReturn
  End Function